package com.hotent.portal.params;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;

/**
 * 微信公众号素材
 * @author zhangxw
 *
 */
public class NewsItem {
	@ApiModelProperty(name = "title", notes = "标题")
	protected String title;
	
	@ApiModelProperty(name = "author", notes = "作者")
	protected String author;
	
	@ApiModelProperty(name = "digest", notes = "摘要")
	protected String digest;
	
	@ApiModelProperty(name = "content", notes = "正文")
	protected String content;
	
	@ApiModelProperty(name = "content_source_url", notes = "")
	protected String content_source_url;
	
	@ApiModelProperty(name = "thumb_media_id", notes = "")
	protected String thumb_media_id;
	
	@ApiModelProperty(name = "show_cover_pic", notes = "")
	protected int show_cover_pic;
	
	@ApiModelProperty(name = "url", notes = "")
	protected String url;
	
	@ApiModelProperty(name = "thumb_url", notes = "")
	protected String thumb_url;
	
	@ApiModelProperty(name = "need_open_comment", notes = "")
	protected int need_open_comment;
	
	@ApiModelProperty(name = "only_fans_can_comment", notes = "")
	protected int only_fans_can_comment;

	@ApiModelProperty(name = "createTime", notes = "创建时间")
	protected LocalDateTime createTime;
	
	@ApiModelProperty(name = "updateTime", notes = "更新时间")
	protected LocalDateTime updateTime;

	public String getTitle() {
		return title;
	}

	public String getAuthor() {
		return author;
	}

	public String getDigest() {
		return digest;
	}

	public String getContent() {
		return content;
	}

	public String getContent_source_url() {
		return content_source_url;
	}

	public String getThumb_media_id() {
		return thumb_media_id;
	}

	public int getShow_cover_pic() {
		return show_cover_pic;
	}

	public String getUrl() {
		return url;
	}

	public String getThumb_url() {
		return thumb_url;
	}

	public int getNeed_open_comment() {
		return need_open_comment;
	}

	public int getOnly_fans_can_comment() {
		return only_fans_can_comment;
	}

	public LocalDateTime getCreateTime() {
		return createTime;
	}

	public LocalDateTime getUpdateTime() {
		return updateTime;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public void setAuthor(String author) {
		this.author = author;
	}

	public void setDigest(String digest) {
		this.digest = digest;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public void setContent_source_url(String content_source_url) {
		this.content_source_url = content_source_url;
	}

	public void setThumb_media_id(String thumb_media_id) {
		this.thumb_media_id = thumb_media_id;
	}

	public void setShow_cover_pic(int show_cover_pic) {
		this.show_cover_pic = show_cover_pic;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public void setThumb_url(String thumb_url) {
		this.thumb_url = thumb_url;
	}

	public void setNeed_open_comment(int need_open_comment) {
		this.need_open_comment = need_open_comment;
	}

	public void setOnly_fans_can_comment(int only_fans_can_comment) {
		this.only_fans_can_comment = only_fans_can_comment;
	}

	public void setCreateTime(LocalDateTime createTime) {
		this.createTime = createTime;
	}

	public void setUpdateTime(LocalDateTime updateTime) {
		this.updateTime = updateTime;
	}
	
}
